Subject: Re: bug#44834: Fix for failing indentation of Tcl procs nested in namespace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Feb 2021 17:08:46 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> Date: Wed, 10 Feb 2021 00:32:42 -0500
> 
>   > FTR, the text now says:
> 
>   >   Once the cumulative amount of your submissions exceeds about 15 lines
>   >   of non-trivial code you added or changed (not counting deleted lines),
>   >   we will need you to assign to the FSF the copyright for your
>   >   contributions.  Ask on [email-masked], and we will send you the
>   >   necessary form together with the instructions to fill and email it, in
>   >   order to start this legal paperwork.
> 
> Thanks.  Please make it this:
> 
>   >   Once the cumulative amount of your submissions exceeds about 10
>   >   new or modified nontrivial lines of code, we will need you to
>   >   assign to the FSF the copyright for your contributions.  (If a
>   >   line contains a symbol, consider it nontrivial.)  Ask on
>   >   [email-masked], and we will send you the necessary form
>   >   together with the instructions to fill and email it, in order to
>   >   start this legal paperwork.

Why remove the note about not counting deleted lines?  I agree that in
principle "new or modified" covers that, but how many readers will
immediately understand that "modified" doesn't include "deleted"?  I
put that there to make it clear; is there a reason not to say that
explicitly?